// ______________________________________
//| JustJump shaders					 |
//|										 |
//| by CL3791							 |
//| Version : final						 |
//|______________________________________|

//========================================

textures/cl3791_JustJump_shaders/nonsolid-black
{
	qer_editorimage textures/cl3791_Justjump/black.tga
	surfaceparm nonsolid

	{
		map textures/cl3791_Justjump/black.tga
	}
}

textures/cl3791_JustJump_shaders/flag
{
	qer_trans .5
	qer_editorimage textures/cl3791_Justjump/flag-room.jpg

	{
		map textures/cl3791_Justjump/flag-room.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		//rgbGen const ( 1 1 1 )
	}
}

textures/cl3791_JustJump_shaders/thx
{
	qer_trans .5
	qer_editorimage textures/cl3791_Justjump/thx-play.jpg

	{
		map textures/cl3791_Justjump/thx-play.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		//rgbGen const ( 1 1 1 )
	}
}

textures/cl3791_JustJump_shaders/end
{
	qer_trans .5
	qer_editorimage textures/cl3791_Justjump/end.jpg

	{
		map textures/cl3791_Justjump/end.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		//rgbGen const ( 1 1 1 )
	}
}


textures/cl3791_JustJump_shaders/fleche
{
	qer_trans .5
	qer_editorimage textures/cl3791_Justjump/fleche.jpg
	surfaceparm nonsolid

	{
		map textures/cl3791_Justjump/fleche.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		//rgbGen ( 1 1 1 )
	}
}

// Start Asche shaders's
textures/cl3791_JustJump_shaders/vitre
{
	qer_editorimage textures/cl3791_Justjump/crystal00a_d1.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nodamage

	{	
		map textures/cl3791_Justjump/reflect02a_d1.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale 1 1
		rgbGen identity
		rgbGen const ( 0.2 0.2 0.2 )
		tcGen environment
	}

	{	
		map textures/cl3791_Justjump/crystal00a_d1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}

	// {	map $lightmap
		// blendFunc GL_DST_COLOR GL_ZERO
		// rgbgen identity
	// }
}
// End Asche shaders's

textures/cl3791_JustJump_shaders/fadeon
{
	qer_trans .5
	qer_editorimage	textures/cl3791_Justjump/fadeon.tga
	surfaceparm	nomarks
	surfaceparm nodamage
	surfaceparm	trans
	surfaceparm nolightmap
	cull twosided

    {
		map textures/cl3791_Justjump/fadeon.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.69 0.35 0 0.1
	}
}
textures/cl3791_JustJump_shaders/corehex
{
	qer_trans .5
	qer_editorimage	textures/cl3791_Justjump/corehex.tga
	surfaceparm	nomarks
	surfaceparm nodamage
	surfaceparm	trans
	surfaceparm nolightmap
	cull twosided

	{
	map textures/cl3791_Justjump/corehex.tga
	blendFunc GL_ONE GL_ONE
	rgbGen wave sin 0.39 0.35 0 0.2
	}
}

textures/cl3791_JustJump_shaders/solnowj
{
	qer_editorimage textures/cl3791_Justjump/sol.tga
	surfaceparm slick

	{
		map textures/cl3791_Justjump/sol.tga
	}

	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/cl3791_JustJump_shaders/glassblack
{
	qer_trans .5
	qer_editorimage textures/cl3791_Justjump/glass_black.tga
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm slick

	{
		map textures/cl3791_Justjump/glass_black.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbGen identity
	}

	{
		map $lightmap
		blendFunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/cl3791_JustJump_shaders/version
{
	qer_trans .5
	qer_editorimage textures/cl3791_Justjump/version.jpg

	{
		map textures/cl3791_Justjump/version.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		//rgbGen const ( 1 1 1 )
	}
}

textures/cl3791_JustJump_shaders/text
{
	qer_trans .5
	qer_editorimage textures/cl3791_Justjump/text.jpg

	{
		map textures/cl3791_Justjump/text.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		//rgbGen const ( 1 1 1 )
	}
}

textures/cl3791_JustJump_shaders/logo-holo
{
	qer_trans .5
	qer_editorimage textures/cl3791_Justjump/JustJump-logo-n.jpg
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	cull none

	{
		clampmap textures/cl3791_Justjump/JustJump-logo-n.jpg
		blendFunc GL_ONE GL_ONE
	}
}

// Lights
textures/cl3791_JustJump_shaders/light-128
{
	qer_editorimage textures/cl3791_Justjump/light.jpg
	q3map_surfacelight 12800
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm slick

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/cl3791_Justjump/light.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

	{
		map textures/cl3791_Justjump/light_blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/cl3791_JustJump_shaders/light-256
{
	qer_editorimage textures/cl3791_Justjump/light.jpg
	q3map_surfacelight 25600
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm slick

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/cl3791_Justjump/light.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

	{
		map textures/cl3791_Justjump/light_blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/cl3791_JustJump_shaders/light-512
{
	qer_editorimage textures/cl3791_Justjump/light.jpg
	q3map_surfacelight 51200
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm slick

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/cl3791_Justjump/light.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

	{
		map textures/cl3791_Justjump/light_blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}